Select by location does not work for feature completly within the selection feature

2015-02-08 08:01 AM - Marie Silvestre

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20347

Description

When trying to select features in layer A that intersect features in layer B, the tool "Select by Location" (from menu "Vector / Research

Tools") does not work in one particular case : when a feature in layer B is completely within a feature in layer A. The checkbox "Include

input features completely within the selection features" has no effect. (see test layers attached)

This was working in QGIS 2.4 but not since 2.6...

This is working fine via the processing menu in 2.4, 2.6 and master.

Associated revisions

Revision dc156c8d - 2015-02-10 07:06 AM - Martin Dobias

Fix #12154 - select by location not working when A covers B

The combination of touches+overlaps+contains is not enough if input layer

(where selection should be done) is completely within selection layer.

I have reintroduced "intersects" predicate and made it default.

The processing toolbox has an improved (fixed?) version but fTools

were not adapted at the same time

History

#1 - 2015-02-09 12:14 AM - Giovanni Manghi

- Target version set to Version 2.8

- Category changed from Vectors to 44

- Priority changed from Normal to Severe/Regression

as far I can see on my qgis master it doesn't work in Processing either.

Anyway is a regression as is was working on qgis 2.4

#2 - 2015-02-09 10:13 PM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"dc156c8d79a34ee119975160cc3e480c97a0bf37".
#3 - 2015-02-11 01:08 AM - Marie Silvestre

Thanks, it's now working perfectly but there is a typo on the word "intersect" in the fTools "Select by location" dialog: it is written "Include input features that

insersect the...".

(I hope it's the right place to report it...)

#4 - 2015-02-11 08:12 PM - Martin Dobias

Well spotted - thanks! Fixed in commit:53f534

#5 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
